Unable to update video-hybrid-intel-nvidia drivers from 440xx to 450xx

I tried installing video-hybrid-intel-nvidia driver version 450xx using manjaro settings manager but couldn’t get past “starting” and did not ask for root permissions , I also tried installing it using the following commands :

❯ sudo mhwd -i pci video-hybrid-intel-nvidia-450xx-prime
> Dependencies to install: video-modesetting
Proceed with installation? [Y/n]

and

❯ sudo mhwd --install pci video-hybrid-intel-nvidia-450xx-prime
> Dependencies to install: video-modesetting
Proceed with installation? [Y/n]

but nothing happens , found a similar issue like this here in which the issue was resolved using the first command I used but it is not working for me.

My system info:
Manjaro Version: 20.1
Kernel : 5.7.15-1-MANJARO
Shell : bash 5.0.18
DE : Xfce
CPU : Intel i7-8750H (12) @ 4.100GHz
dGPU : NVIDIA GeForce GTX 1050 Ti Mobile
iGPU : Intel UHD Graphics 630
Memory : 8 GB

The mhwd prompt seems haven’t been handled well by the GUI, install video-modesetting by hand first:

$ sudo mhwd -i pci video-modesetting

then you can proceed using the GUI. Or while you’re at it, just do the same for the 450xx driver:

$ sudo mhwd -i pci video-hybrid-intel-nvidia-450xx-prime
2 Likes

If it’s not working try

sudo mhwd -i pci video-modesetting
sudo mhwd -f -i pci video-hybrid-intel-nvidia-450xx-prime

Thanks for answering @leledumbo and @Wollie !!

I tried doing as you said , the video-modesetting install was successful , but the video-hybrid-intel-nvidia-450xx-prime still fails with the following error :

> Installing video-hybrid-intel-nvidia-450xx-prime...
Sourcing /etc/mhwd-x86_64.conf
Has lib32 support: true
Sourcing /var/lib/mhwd/db/pci/graphic_drivers/hybrid-intel-nvidia-450xx-prime/MHWDCONFIG
Processing classid: 0300
Sourcing /var/lib/mhwd/scripts/include/0300
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: removing nvidia-440xx-utils breaks dependency 'nvidia-utils' required by cuda
:: removing linux57-nvidia-440xx breaks dependency 'linux57-nvidia-440xx' required by linux-latest-nvidia-440xx
:: removing nvidia-440xx-utils breaks dependency 'nvidia-utils' required by nvidia-prime
Error: pacman failed!
Error: script failed!

can it be due to the fact that I am still on CUDA 10 and CuDNN 7 where as newer versions are available for both em …?

The install with GUI from manjaro settings manager is also stuck at “starting”, neither it asks for root permission.

On running the commands @Wollie has shared I am still getting the same error as I have shown above.

Then first remove linux-latest:

sudo pacman -Rsn linux-latest-nvidia-440xx

Afterwards - retry. (Keep cuda and nvidia-utils for the moment untouched).

1 Like

So then do I need to remove cuda and nvidia-prime as well ?

because on retrying I am getting :

> Installing video-hybrid-intel-nvidia-450xx-prime...
Sourcing /etc/mhwd-x86_64.conf
Has lib32 support: true
Sourcing /var/lib/mhwd/db/pci/graphic_drivers/hybrid-intel-nvidia-450xx-prime/MHWDCONFIG
Processing classid: 0300
Sourcing /var/lib/mhwd/scripts/include/0300
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: removing nvidia-440xx-utils breaks dependency 'nvidia-utils' required by cuda
:: removing nvidia-440xx-utils breaks dependency 'nvidia-utils' required by nvidia-prime
Error: pacman failed!
Error: script failed!

I also tried doing this but still removing 440xx seems to break some stuff like :

error: failed to prepare transaction (could not satisfy dependencies)
:: removing nvidia-440xx-utils breaks dependency 'nvidia-utils' required by cuda
:: removing linux57-nvidia-440xx breaks dependency 'linux57-nvidia-440xx' required by linux-latest-nvidia-440xx
Error: pacman failed!

Again, you need to remove linux-latest-nvidia-440xx. If still cuda is the culprit I would remove it temporary, install 450xx and afterwards reinstall cuda.

1 Like

this fixed my problem.
after using this command and rebooting i were able to uninstall the old drivers and install the new ones.

1 Like

:blush: Glad to hear! Please, mark the post helping you as solution.

How do i do that? :smiley:

Click in the post you want to mark as solution on the three dots, then further options appear.

I think i am not able to do so, i can only bookmark or report.

Never mind, the new forum is set differently than the old one, obviously only the original poster, mods and TL3 can mark a post as solution… :woozy_face:

1 Like

I finally needed to remove cuda, linux-latest-nvidia-440xx and nvidia-prime , and I was able to install 450xx drivers , thanks a lot @Wollie and @leledumbo for helping me out :slightly_smiling_face:

2 Likes

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.